# TTS Module

TTSModule provides creators with the ability to freely assemble TTS (Text-to-Speech) configurations within MyShell.

`TTSConfig`

| Field's Name     | JSON Type (Required/Optional) | Description                                                                                                                                                                    | Example                                         |
| ---------------- | ----------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ----------------------------------------------- |
| tts\_widget\_url | string (Required)             | Specifies the URL for the TTS widget. Creators can select their desired voices in the Workshop, and use the share function to obtain a shared widget link, which is used here. | '<https://app.myshell.ai/widget/yi2aIf>'        |
| content          | string                        | Expression (Required)                                                                                                                                                          | Specifies the text that needs to be read aloud. |
| output\_name     | string (Required)             | Specifies the name of the output in TtsConfig.                                                                                                                                 | 'output'                                        |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.myshell.ai/create/pro-config-mode/api-reference/module/tts-module.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
